aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-07-04 07:07:52 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-07-04 07:07:52 +0000
commit8bb1c720dc789bc488cdef0ae9704a03deb7e906 (patch)
tree418d6f93b13014e676ee9b74be5b042168658fa8 /testing
parenta7792e3d801561151cfa10887ca95c86d54efd6b (diff)
downloadaports-8bb1c720dc789bc488cdef0ae9704a03deb7e906.tar.gz
aports-8bb1c720dc789bc488cdef0ae9704a03deb7e906.tar.bz2
aports-8bb1c720dc789bc488cdef0ae9704a03deb7e906.tar.xz
testing/calibre: upgrade to 0.8.8
Diffstat (limited to 'testing')
-rw-r--r--testing/calibre/APKBUILD17
1 files changed, 12 insertions, 5 deletions
diff --git a/testing/calibre/APKBUILD b/testing/calibre/APKBUILD
index 843eba3ae6..2bfe885c90 100644
--- a/testing/calibre/APKBUILD
+++ b/testing/calibre/APKBUILD
@@ -1,18 +1,20 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer:
pkgname=calibre
-pkgver=0.8.7
+pkgver=0.8.8
pkgrel=0
pkgdesc="Ebook management application"
url="http://calibre-ebook.com/"
arch="all"
license="GPL3"
depends=
-depends_dev="python-dev imagemagick-dev py-qt py-sip py-imaging libusb-dev poppler-dev poppler-qt4-dev py-dbus py-pycountry py-lxml icu-dev desktop-file-utils py-sqlite sqlite-dev chmlib-dev podofo-dev py-sip-dev py-importlib py-dateutil py-cherrypy py-beautifulsoup py-mechanize"
+depends_dev="python-dev imagemagick-dev py-qt py-sip py-imaging libusb-dev poppler-dev poppler-qt4-dev py-dbus py-pycountry py-lxml icu-dev desktop-file-utils py-sqlite sqlite-dev chmlib-dev podofo-dev py-sip-dev py-dateutil py-cherrypy py-beautifulsoup py-mechanize libwmf xdg-utils"
makedepends="$depends_dev"
install=""
subpackages=""
-source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ calibre.confd
+ calibre.initd"
_builddir="$srcdir"/$pkgname
build() {
cd "$_builddir"
@@ -24,7 +26,6 @@ build() {
python setup.py resources
python setup.py translations
}
-
package() {
cd "$_builddir"
# Fix the environment module location
@@ -34,5 +35,11 @@ package() {
--staging-bindir="${pkgdir}/usr/bin" \
--staging-libdir="${pkgdir}/usr/lib" \
--staging-sharedir="${pkgdir}/usr/share"
+ install -m755 -D ../$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -m644 -D ../$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
}
-md5sums="d7132ec75f5e742e04e196fc8e2c0884 calibre-0.8.7.tar.gz"
+md5sums="dab191175d370920b366bcd8c0dad917 calibre-0.8.8.tar.gz
+76d36815abf4c64bb54366e70a68305c calibre.confd
+d2d1dd5d6c6faf80dd94c75288451fcd calibre.initd"